import fs from 'fs/promises';
import del from 'del';

// Removes temp files generated by LibreOffice
export async function cleanupTempFiles(): Promise<void> {
  const files = await fs.readdir(`/tmp`);
  for (const file of files) {
    if (file.endsWith('.tmp') === true || file.startsWith('OSL_PIPE')) {
      try {
        await del([`/tmp/${file}`, `/tmp/${file}/*`], {force: true});
        // eslint-disable-next-line no-empty
      } catch (error) {}
    }
  }
}
